#! /bin/sh

echo Create WiPOM Service folder
mkdir -p /home/debian/wipom/bin

echo Copy executable file
rm /home/debian/wipom/bin/wipom-srv
cp /tmp/wipom-srv /home/debian/wipom/bin/wipom-srv

echo Set permissions
chown debian:debian /home/debian/wipom/bin/wipom-srv
chmod uog+x /home/debian/wipom/bin/wipom-srv

echo Copy startup script
cp /tmp/wipom.service /etc/systemd/system/wipom.service

systemctl enable wipom
systemctl stop wipom
systemctl start wipom

echo Remove setup files
rm /tmp/wipom.service
rm /tmp/wipom-srv
rm /tmp/install.sh
rm /tmp/readme.txt
